:- module test_protocol.
:- interface.
:- import_module io.

:- pred main(io__state::di, io__state::uo) is det.

%-----------------------------------------------------------------------------%

:- implementation.
:- import_module game, protocol, list.

main -->
	io__stderr_stream(Stderr),

	% connect_to_server("foo", 123),
	send_init,

	read_board(Board),
	io__print(Stderr, "board:\n"),
	io__print(Stderr, Board), io__nl(Stderr),

	read_config(Config),
	io__print(Stderr, "config:\n"),
	io__print(Stderr, Config), io__nl(Stderr),

	read_current_packages(Packages),
	io__print(Stderr, "Packages:\n"),
	io__print(Stderr, Packages), io__nl(Stderr),
	{ Command1 = command(42, move(west)) },
	send_command(Command1),
	{ Command2 = command(-42, drop([package_id(10), package_id(20)])) },
	send_command(Command2),

	read_server_response(Response1),
	io__print(Stderr, "Response1:\n"),
	io__print(Stderr, Response1), io__nl(Stderr),
	read_server_response(Response2),
	io__print(Stderr, "Response2:\n"),
	io__print(Stderr, Response2), io__nl(Stderr),
	read_server_response(Response3),
	io__print(Stderr, "Response3:\n"),
	io__print(Stderr, Response3), io__nl(Stderr),
	read_server_response(Response4),
	io__print(Stderr, "Response4:\n"),
	io__print(Stderr, Response4), io__nl(Stderr),

	io__print("done.\n").
%-----------------------------------------------------------------------------%
